Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.components
Class LinkSubmit

    java.lang.Object
      org.apache.tapestry5.corelib.components.LinkSubmit

All Implemented Interfaces:
  ClientElement

    @SupportsInformalParameters
    @Events(value="selected by default, may be overridden")
    public class LinkSubmit

extends java.lang.Object
implements ClientElement

Generates a client-side hyperlink that submits the enclosing form. If the link is clicked in the browser, the component will trigger an event (selected by default) , just like `Submit` .

Component Parameters
Name | Description | Type | Flags | Default | Default Prefix | Since
--- | --- | --- | --- | --- | --- | ---
context | The list of values that will be made available to event handler method of this component when the form is submitted. | Object |  |  | prop | 5.2.0
defer | If true (the default), then any notification sent by the component will be deferred until the end of the form submission (this is usually desirable). In general, this can be left as the default except when the LinkSubmit component is rendering inside a org.apache.tapestry5.corelib.components.Loop, in which case defer should be bound to false (otherwise, the event context will always be the final value of the Loop). | boolean |  |  | prop |
disabled | If true, then no link (or accompanying JavaScript) is written (though the body still is). | boolean |  |  | prop |
event | The name of the event that will be triggered if this component is the cause of the form submission. The default is "selected". | String | Not Null |  | literal |
mode | Defines the mode, or client-side behavior, for the submit. The default is org.apache.tapestry5.corelib.SubmitMode#NORMAL; clicking the button submits the form with validation. org.apache.tapestry5.corelib.SubmitMode#CANCEL indicates the form should be submitted as a cancel, with no client-side validation. org.apache.tapestry5.corelib.SubmitMode#UNCONDITIONAL bypasses client-side validation, but does not indicate that the form was cancelled. | org.apache.tapestry5.corelib.SubmitMode | Not Null |  | literal | 5.2.0

Events:

selected
  by default, may be overridden

Constructor Summary
`LinkSubmit()`

Method Summary
`java.lang.String` | `getClientId()` Returns a unique id for the element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkSubmit

    public LinkSubmit()

Method Detail

### getClientId

    public java.lang.String getClientId()

  Description copied from interface: `ClientElement`
  Returns a unique id for the element. This value will be unique for any given rendering of a page. This value is intended for use as the id attribute of the client-side element, and will be used with any DHTML/Ajax related JavaScript.

  Specified by:
    `getClientId` in interface `ClientElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.